/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import com.rjconsultores.ventaboletos.entidad.Marca;
import com.rjconsultores.ventaboletos.utilerias.ApplicationProperties;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

/**
 *
 * @author Administrador
 */
public class RenderMarca implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
        Marca marca = (Marca) o;

        Listcell lc = new Listcell(marca.getMarcaId().toString());
        lc.setParent(lstm);

        lc = new Listcell(marca.getDescmarca());
        lc.setParent(lstm);

        if (ApplicationProperties.getInstance().mostrarEquivalencia()) {
            lc = new Listcell(marca.getEquivalenciaId());
            lc.setParent(lstm);
        }

        lstm.setAttribute("data", marca);
    }
}
